Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.cpe
Class Fields

    java.lang.Object
      org.owasp.dependencycheck.data.cpe.Fields

    public abstract class Fields

extends Object

Fields is a collection of field names used within the Lucene index for CPE entries.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Field Summary
`static String` | `DOCUMENT_KEY` The key for the name document id.
`static String` | `PRODUCT` The key for the product field.
`static String` | `VENDOR` The key for the vendor field.

Constructor Summary
`Fields()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOCUMENT_KEY

    public static final String DOCUMENT_KEY

  The key for the name document id.

  See Also:
    Constant Field Values

### VENDOR

    public static final String VENDOR

  The key for the vendor field.

  See Also:
    Constant Field Values

### PRODUCT

    public static final String PRODUCT

  The key for the product field.

  See Also:
    Constant Field Values

Constructor Detail

### Fields

    public Fields()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.